package com.bipt.intelligentapplicationorchestrationservice;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@MapperScan("com.bipt.intelligentapplicationorchestrationservice.mapper")//指定扫描Mapper接口的包
@SpringBootApplication
@EnableTransactionManagement
@Slf4j
public class IntelligentApplicationOrchestrationServiceApplication {

	public static void main(String[] args) {
		SpringApplication.run(IntelligentApplicationOrchestrationServiceApplication.class, args);
		log.info("server started");
	}

}
