package com.bipt.intelligentapplicationorchestrationservice.service;

import com.bipt.intelligentapplicationorchestrationservice.pojo.AlgorithmInfo;

import java.util.List;

public interface AlgorithmInfoService {
    AlgorithmInfo getById(Long id);
    AlgorithmInfo getByName(String algorithmName);
    List<AlgorithmInfo> getByType(String algorithmType);
    boolean update(AlgorithmInfo algorithmInfo);
    boolean delete(Long id);
    boolean validateAlgorithmInfo(AlgorithmInfo algorithmInfo);
} 